Skip to main content
POST
/
v1
/
feedback
Send user feedback
curl --request POST \
  --url https://api1.irisagent.com/v1/feedback \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "feedbackDetails": "<string>"
}
'
import requests

url = "https://api1.irisagent.com/v1/feedback"

payload = {
"id": "<string>",
"feedbackDetails": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>', feedbackDetails: '<string>'})
};

fetch('https://api1.irisagent.com/v1/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "result": "success"
}
{
"error": "<string>",
"code": 123,
"status": "<string>"
}
{
"error": "<string>",
"code": 123,
"status": "<string>"
}
{
"error": "<string>",
"code": 123,
"status": "<string>"
}
{
"error": "<string>",
"code": 123,
"status": "<string>"
}
{
"error": "<string>",
"code": 123,
"status": "<string>"
}
{
"error": "<string>",
"code": 123,
"status": "<string>"
}

Authorizations

Authorization
string
header
required

The Authorization header is required to authenticate API requests. It should contain a bearer token obtained through the IrisAgent portal.

Headers

Chat-Identifier
string<uuid>

The Chat-Identifier is an optional header used to track the conversation session. If not provided, a new chat session will automatically be created. While not required for single request/response interactions, it is necessary for maintaining continuity in ongoing conversations.

Body

application/json
id
string
required

Unique id of the record for whom feedback is being provided.

feedback
enum<string>
required

Feedback on the AI response. It should be either "thumbsUp" or "thumbsDown".

Available options:
thumbsDown,
thumbsUp
feedbackDetails
string

Optional qualitative feedback.

Response

Feedback submitted successfully

result
enum<string>
required
Available options:
success